Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.naming
Class EnvEntry

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.EnvEntry

    public class EnvEntry

extends NamingEntry

EnvEntry

Field Summary

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`__contextName, jndiName, namingEntryNameString, objectNameString, objectToBind`

Constructor Summary
`EnvEntry(Object scope, String jndiName, Object objToBind, boolean overrideWebXml)`
`EnvEntry(String jndiName, Object objToBind, boolean overrideWebXml)`

Method Summary
`boolean` | `isOverrideWebXml()`

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`bindToENC, getJndiName, getJndiNameInScope, getObjectToBind, release, save, unbindENC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvEntry

    public EnvEntry(Object scope,
                    String jndiName,
                    Object objToBind,
                    boolean overrideWebXml)
             throws NamingException

Throws:
  `NamingException`

### EnvEntry

    public EnvEntry(String jndiName,
                    Object objToBind,
                    boolean overrideWebXml)
             throws NamingException

Throws:
  `NamingException`

Method Detail

### isOverrideWebXml

    public boolean isOverrideWebXml()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.